"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const jsx_runtime_1 = require("react/jsx-runtime");
const hooks_1 = require("../../hooks");
function Rectangle(props) {
    const { x: oldX, y: oldY, width: oldWidth, height: oldHeight, ...otherProps } = props;
    const { x, y, width, height } = hooks_1.usePosition({
        x: oldX,
        y: oldY,
        width: oldWidth,
        height: oldHeight,
    });
    return jsx_runtime_1.jsx("rect", Object.assign({ x: x, y: y, width: width, height: height }, otherProps), void 0);
}
exports.default = Rectangle;
